<div id="field-modal" title="Field properties">

    <div id="tabs">
        <ul>
            <li><a href="#field-existing">Choose a field</a></li>
            <li><a href="#field-create">Create a field</a></li>
        </ul>

        <div id="field-existing">

            <label>Choose an existing field</label>

            <select name="field" id="existing-field">
                {% for field in fields %}
                    <option value="{{ field.id }}" data-field-type="{{ field.publicFieldType }}">
                        {{ field.name }}
                    </option>
                {% endfor %}
            </select>

        </div>

        <div id="field-create">

            <form id="field-creator-form" method="post">
                <p id="field-errors" style="display: none;"></p>

                <p>
                    <label>Name</label>
                    <input type="text" id="field-name" name="field-name"/>
                </p>

                <p id="is-limited-on-time-container"><label><input type="checkbox" id="is-limited-on-time"
                                                                   name="is-limited-on-time"/> Limited in time
                        ?</label></p>

                <p id="time-range-container" style="display:none">
                    from : <input type="text" id="time-range-from" name="time-range-from"/><br/>
                    to : <input type="text" id="time-range-to" name="time-range-to"/>
                </p>

                <p id="field-is-required-container">
                    <label><input type="checkbox" id="is-required" name="is-required"/> Is required ?</label>
                </p>

                <p id="field-default-value-container">
                    <label>Default value</label>
                    <input type="text" id="field-default-value" name="field-default-value"/>
                </p>

                <p>
                    <label>Field type</label>
                    <select id="field-type" name="field-type">
                        <option value="">Choose a type...</option>
                        <option value="numeric">Numeric</option>
                        <option value="group-subscriber">Group subscriber</option>
                        <option value="text">Text</option>
                        <option value="date">Date</option>
                        <option value="boolean">Boolean</option>
                        <option value="age">Age (soon)</option>
                        <option value="email">Email (soon)</option>
                    </select>
                </p>

                {% include '@App/modal/field-types/text.html.twig' %}
                {% include '@App/modal/field-types/numeric.html.twig' %}
                {% include '@App/modal/field-types/date.html.twig' %}

            </form>
        </div>
    </div>
</div>